# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as 
# published by the Free Software Foundation here:
# (http://www.gnu.org/licenses/gpl-2.0.html)
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

export ARCH = x86_64
export DEPENDS = bash,glibc,libcap
export BUILDDEPS = 
export SRCPKG = $(PACKAGE)
export URL = http://www.ntp.org/
REPO = main
BRIEF = NTP daemon and utilities
DESC = NTP is widely used to synchronize a computer to Internet time servers \
or other sources
SNAPVER = 0

ARCHIVE := $(PWD)/SRC/$(shell ls SRC|egrep '(bz2|gz|tar|xz)$$'|tail -1)
TYPE := $(shell file -ib $(ARCHIVE)|cut -d';' -f1|tr -d '\n')
SRCDIR := $(shell tar -tf $(ARCHIVE)|head -1|sed 's/\/.*//')
PATCHDIR := $(PWD)/SRC/patches
export VERSION := $(shell echo $(SRCDIR)|egrep -o '\-[0-9].*'| \
	sed 's/^-//')-$(SNAPVER)

include /usr/share/snap/Makefile.snaplinux

DOC := $(PWD)/$(PACKAGE)-doc
DOCROOT := $(DOC)/ROOT

$(SRCDIR)/configure: $(ARCHIVE)
	@if [ '$(TYPE)' == 'application/x-bzip2' ]; then \
		tar -jxf $(ARCHIVE); \
	elif [ '$(TYPE)' == 'application/x-gzip' ]; then \
		tar -zxf $(ARCHIVE); \
	elif [ '$(TYPE)' == 'application/x-tar' ]; then \
		tar -xf $(ARCHIVE); \
	elif [ '$(TYPE)' == 'application/x-xz' ]; then \
		tar -xf $(ARCHIVE); \
	else \
		echo 'Unable to determine archive type'; \
		exit 1; \
	fi
	@touch $(SRCDIR)/configure

$(SRCDIR)/config.log: $(SRCDIR)/configure
	@cd $(SRCDIR) && \
	for patch in `find $(PATCHDIR) -name \*.patch|sort`; do \
		patch --verbose -Np1 -i $$patch; \
	done
	@cd $(SRCDIR); \
	./configure CFLAGS="-O2 -g -fPIC" \
		--prefix=/usr \
		--bindir=/usr/sbin \
		--sysconfdir=/etc \
		--enable-linuxcaps \
		--with-lineditlibs=readline \
		--build=x86_64-snap-linux-gnu \
		--host=x86_64-snap-linux-gnu \
		--target=x86_64-snap-linux-gnu

$(SRCDIR)/ntpd/ntpd: $(SRCDIR)/config.log
	@cd $(SRCDIR) && make

$(ROOT): $(SRCDIR)/ntpd/ntpd
	@if [ -d $(ROOT) ]; then \
		touch $(ROOT); \
	else \
		mkdir -v $(ROOT); \
	fi

	@cd $(SRCDIR) && make install DESTDIR=$(ROOT) && \
	install -v -d -m 755 $(ROOT)/etc/init.d && \
	install -v -d -m 755 $(ROOT)/var/lib/ntp && \
	install -v -m 755 $(PWD)/SNAP/ntpd.init $(ROOT)/etc/init.d/ntpd && \
	install -v -d $(DOC)/SNAP && \
	install -v -d $(DOCROOT)/usr/share && \
	mv -v $(ROOT)/usr/share/doc $(DOCROOT)/usr/share/doc && \
	cd $(DOC) && make -f ../Makefile.$(PACKAGE)-doc && mv *.snap ../

test: $(ROOT)
	@cd $(SRCDIR); \
	make check

clean:
	@rm -rvf $(ROOT) \
		$(DOC) \
		$(SNAPINFO) \
		$(MANIFEST) \
		$(FILES) \
		$(SRCDIR)

